unit tutbaremainunit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls,
  ExtCtrls, DBGrids, Buttons, DBCtrls, db, tutbrmaindata, BackupRestore;

type

  { TCNFormMain }

  TCNFormMain = class(TForm)
    BitBtnBackup: TBitBtn;
    BitBtnBackup1: TBitBtn;
    BitBtnRestore: TBitBtn;
    BitBtnRestore1: TBitBtn;
    ButtonDBStart: TBitBtn;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    DBNavigator2: TDBNavigator;
    DBNavigator3: TDBNavigator;
    LabelZConnInfo: TLabel;
    Memo1: TMemo;
    Panel1: TPanel;
    Panel2: TPanel;
    PanelmAINbOTTOM: TPanel;
    procedure BitBtnBackupClick(Sender: TObject);
    procedure BitBtnRestoreClick(Sender: TObject);
    procedure ButtonDBStartClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  CNFormMain: TCNFormMain;

implementation

{$R *.lfm}

{ TCNFormMain }

{ **************************************************************************** }
{ * FormCreate                                                               * }
{ **************************************************************************** }
procedure TCNFormMain.FormCreate(Sender: TObject);
begin

  { Anzeige der Properties von TZConnection in einem Memo }
  with TutBRDataModule.ZConnectionMain do begin
    Memo1.Lines.Clear;
    Memo1.Lines.Add(' ClientCodePage: '+ ClientCodePage);
    Memo1.Lines.Add('-------------------------------------------------------------------------');
    Memo1.Lines.Add('       Database: '+Database);
    Memo1.Lines.Add('LibraryLocation: '+ LibraryLocation);
    Memo1.Lines.Add('-------------------------------------------------------------------------');
    Memo1.Lines.Add('       Protocol: '+Protocol);
    Memo1.Lines.Add('-------------------------------------------------------------------------');
    Memo1.Lines.Add('       Password: '+ Password);
    Memo1.Lines.Add('           User: '+ User);
    Memo1.Lines.Add('-------------------------------------------------------------------------');
    Memo1.Lines.Add('   Zeos-Version: '+Version);
  end;

  { Datenbank und Queries öffnen }
  with TutBRDataModule do begin
    ZConnectionMain.Connect;
    ZQuery1.Open;
    Zquery2.Open;
  end;
end;

{ **************************************************************************** }
{ * ButtonDBStartClick                                                       * }
{ **************************************************************************** }
procedure TCNFormMain.ButtonDBStartClick(Sender: TObject);
begin
  { Datenbank und Queries öffnen }
  TutBRDataModule.ZConnectionMain.Connect;
  TutBRDataModule.ZQuery1.Open;
  TutBRDataModule.ZQuery2.Open;
end;

{ **************************************************************************** }
{ * ButtonDBStartClick  BACKUP                                               * }
{ **************************************************************************** }
procedure TCNFormMain.BitBtnBackupClick(Sender: TObject);

var t: boolean;
    s: string;

begin

  { Ob die Sicherungsdat. im Datenbankverzeichnis oder separat gespeichert wird }
  case (Sender as TBitBtn).Tag of
       { Sicherungsdatei wird aus dem Datenbankverzeichnis verwendet }
    1: s:= '';
       { Sicherungsdatei wird mit angegebenem Pfad und Dateinamen verwendet }
    2: s:= 'C:\ZEOS_FIREBIRD_BACKUP_RESTORE\TESTSICHERUNG\TUTBACKTEST1.FDK';
   end;

  t:= False; // Keine Protokolldatei, wenn t=True wird ein Protokoll gespeichert

  { BACKUP durchführen }
  DBBackUpRestoreEmb('Backup', TutBRDataModule.ZConnectionMain, s, t);

end;


{ **************************************************************************** }
{ * BitBtnRestoreClick RESTORE                                                      * }
{ **************************************************************************** }
procedure TCNFormMain.BitBtnRestoreClick(Sender: TObject);
var t: boolean;
    s: string;
begin

  // TutBRDataModule.ZConnectionMain.Disconnect;

  { Ob die Sicherungsdat. im Datenbankverzeichnis oder separat gespeichert wird }
  case (Sender as TBitBtn).Tag of
       { Sicherungsdatei wird aus dem Datenbankverzeichnis verwendet }
    1: s:= '';
       { Sicherungsdatei wird mit angegebenem Pfad und Dateinamen verwendet }
    2: s:= 'C:\ZEOS_FIREBIRD_BACKUP_RESTORE\TESTSICHERUNG\TUTBACKTEST1.FDK';
   end;

  t:= False; // Keine Protokolldatei, wenn t=True wird ein Protokoll gespeichert

  { RESTORE durchfphren }
  DBBackUpRestoreEmb('Restore', TutBRDataModule.ZConnectionMain, s, t);

end;

end.

